Package groovy.lang

# Annotation Type Mixin

@Deprecated(since="2.3.0") @Documented @Retention(SOURCE) @Target(TYPE) public @interface Mixin
Deprecated.
Static mixins have been deprecated in favour of traits.
Provides a mechanism for mixing in methods into a class.

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Class[]`
  `value`
  Deprecated.

- ## Element Details

  - ### value

    Class[] value
    Deprecated.